Skip to content
DELETE /unified/crm/engagements/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

engagement_typestring

The engagement's type

Possible values:
callchatemailmeetingnote
6 supported6 required
Affinity
required
callemailmeetingchat
Close
required
callmeetingnoteemail
Keap
required
emailmeeting
OnePageCRM
required
callmeeting
Pipeliner
required
callemail
Zoho CRM
required
callmeeting
sort_by
Possible values:
created_atupdated_at
1 supported
Pipeliner
supported
contentstring

Set this value only when engagement type is email.

1 supported
Pipeliner
supported
subjectstring

Set this value only when engagement type is email.

1 supported
Pipeliner
supported
directionstring

Set this value only when engagement type is email.

1 supported
Pipeliner
supported
created_atstring · date-time

The date and time of the engagement's creation

1 supported
Pipeliner
supported
updated_atstring · date-time

The date and time of the engagement's last update

1 supported
Pipeliner
supported
statusstring

The engagement's status

1 supported
Pipeliner
supported
accountobject

The engagement's account

References: Accounts → id
1 supported
Pipeliner
supported
idstring
required·

The account's unique identifier

contactobject[]

The engagement's contacts

References: Contacts → id
1 supported
Pipeliner
supported
idstring
required·

The contact's unique identifier

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The engagement's unique identifier

7 supported
Capsule
supported
Copper
supported
Monday CRM
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Zoho CRM
supported
accountobject

The engagement's account

References: Accounts → id
1 supported
Planhat
supported
idstring

The account's unique identifier

contactobject[]

The engagement's contacts

References: Contacts → id
1 supported
Planhat
supported
idstring

The contact's unique identifier

contentstring

The engagement's content

1 supported
Planhat
supported
created_atstring · date-time

The date and time of the engagement's creation

1 supported
Planhat
supported
custom_fieldsRecord<string, any>

All the custom fields present on the engagement

1 supported
Planhat
supported
directionstring

The engagement's direction

durationstring

The engagement's duration

end_timestring · date-time

The engagement's end time

engagement_typestring

The engagement's type - call, email, meeting or raw response

1 supported
Planhat
supported
internal_notesstring

The engagement's internal notes

leadobject[]

The engagement's lead

References: Leads → id
idstring

The lead's unique identifier

notesobject[]

The engagement's notes

References: Notes → id
idstring

The note's unique identifier

opportunityobject[]

The engagement's opportunity

idstring

The opportunity's unique identifier

ownerobject

The engagement's owner

1 supported
Planhat
supported
idstring

The owner's unique identifier

phone_numbersobject[]
extensionstring

The extension of the phone number

idstring

The unique identifier of the phone number

numberstring

The phone number

typestring

The phone number type

projectobject

The engagement's project

References: Projects → id
idstring

The project's unique identifier

remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_timestring · date-time

The engagement's start time

1 supported
Planhat
supported
statusstring

The engagement's status

1 supported
Planhat
supported
subjectstring

The engagement's subject

1 supported
Planhat
supported
updated_atstring · date-time

The date and time of the engagement's last update

curl -X DELETE 'https://api.truto.one/unified/crm/engagements/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/engagements/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/engagements/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'crm',
  'engagements',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "crm",
        "engagements",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())